Services de pessoa jurídica
Request e response de cada consulta de pessoa jurídica.
/api/token-generate e /api/service-api, que ainda não respondem no servidor. A API ativa hoje é a REST v1.58 de 58 services
Acordos SindicaisSERVICE_SYNDICATE_AGREEMENTS
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, syndicateAgreementsTotal, syndicateAgreementsTotalActive, syndicateAgreementsSummary, syndicateAgreementsStats, syndicateAgreements.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_SYNDICATE_AGREEMENTS",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"syndicateAgreementsTotal": 1,
"syndicateAgreementsTotalActive": 1,
"syndicateAgreementsSummary": "Empresa com 1 acordo sindical ativo",
"syndicateAgreementsStats": [],
"syndicateAgreements": []
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Anúncios OnlineSERVICE_ONLINE_ADS
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, onlineAdsTotalPhones, onlineAdsSummary, onlineAds.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_ONLINE_ADS",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"onlineAdsTotalPhones": 0,
"onlineAdsSummary": "Nenhum anúncio online encontrado",
"onlineAds": []
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Arrecadação Simples Nacional - MEISERVICE_PGMEI
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, pgmeiStatus, pgmeiReferenceYear, pgmeiPendingGuides, pgmeiSummary, pgmeiGuides.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_PGMEI",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"pgmeiStatus": "Optante",
"pgmeiReferenceYear": "2026",
"pgmeiPendingGuides": 0,
"pgmeiSummary": "MEI optante e regular no ano de referência",
"pgmeiGuides": []
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Avaliações e ReputaçãoSERVICE_REPUTATIONS_AND_REVIEWS
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, totalReputationSources, reputationSummary, reputationAndReviews, reputationSummaryDetails, reputationSummaryByDataSources.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_REPUTATIONS_AND_REVIEWS",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"totalReputationSources": 2,
"reputationSummary": "Empresa possui avaliações em 2 plataformas",
"reputationAndReviews": [],
"reputationSummaryDetails": {},
"reputationSummaryByDataSources": {}
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Ações TrabalhistasSERVICE_LABOR_LAWSUITS
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, laborLawsuitsStatus, laborLawsuitsProtocol, laborLawsuitsCertificateNumber, laborLawsuitsIssuedDate, laborLawsuitsContent, laborLawsuitsProcessesCount, laborLawsuitsSummary, laborLawsuitsProcesses.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_LABOR_LAWSUITS",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"laborLawsuitsStatus": "NADA CONSTA",
"laborLawsuitsProtocol": "2026000000000",
"laborLawsuitsCertificateNumber": "00000000/2026",
"laborLawsuitsIssuedDate": "2026-08-01",
"laborLawsuitsContent": "Certifica-se que nada consta em nome da empresa quanto a ações trabalhistas",
"laborLawsuitsProcessesCount": 0,
"laborLawsuitsSummary": "Nada consta de ações trabalhistas",
"laborLawsuitsProcesses": []
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Beneficiários FinaisSERVICE_ULTIMATE_BENEFICIAL_OWNERS
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, uboSummary, uboTotalCompaniesInGroup, uboTotalPeopleInGroup, uboNumberOfOwners, uboBeneficialOwners, uboParticipations.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_ULTIMATE_BENEFICIAL_OWNERS",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"uboSummary": "Consulta realizada",
"uboTotalCompaniesInGroup": 3,
"uboTotalPeopleInGroup": 5,
"uboNumberOfOwners": 2,
"uboBeneficialOwners": [
{
"name": "NOME DO BENEFICIARIO",
"document": "00000000000",
"accumulatedPercentage": 45.5
}
],
"uboParticipations": [
{
"ownerDocument": "00000000000",
"ownerName": "NOME DO BENEFICIARIO",
"ownedDocument": "cnpj",
"percentage": 45.5,
"level": 1
}
]
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}CNPJ na Receita Federal on-demandSERVICE_RFB_PJ_ON_DEMAND
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, officialName, status, openingDate, mainActivity.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_RFB_PJ_ON_DEMAND",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"officialName": "EMPRESA EXEMPLO LTDA",
"status": "ATIVA",
"openingDate": "yyyy-MM-dd",
"mainActivity": "CNAE principal"
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Categoria ComercialSERVICE_MERCHANT_CATEGORY_DATA
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, merchantCategoryHasDirectAssociation, merchantCategoryHasMultipleCodes, merchantCategorySummary, merchantCategoryCategories, merchantCategoryCnaeCategories.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_MERCHANT_CATEGORY_DATA",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"merchantCategoryHasDirectAssociation": "false",
"merchantCategoryHasMultipleCodes": "false",
"merchantCategorySummary": "Categoria comercial inferida pelo CNAE",
"merchantCategoryCategories": [],
"merchantCategoryCnaeCategories": []
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Certidão Negativa CNJSERVICE_CNJ_NEGATIVE_CERTIFICATE_COMPANY
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, cnjSummary, cnjBaseStatus, cnjClearance, cnjIssueDate, cnjCertificateUrl.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_CNJ_NEGATIVE_CERTIFICATE_COMPANY",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"cnjSummary": "Consulta realizada",
"cnjBaseStatus": "NEGATIVA",
"cnjClearance": "Sim",
"cnjIssueDate": "2026-08-01",
"cnjCertificateUrl": "https://example.com/certidão-cnj.pdf"
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Certidão Negativa Correcional CGUSERVICE_CGU_NEGATIVE_CERTIFICATE_COMPANY
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, cguSummary, cguBaseStatus, cguClearance, cguValidUntil, cguIssueDate, cguCertificateUrl.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_CGU_NEGATIVE_CERTIFICATE_COMPANY",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"cguSummary": "Consulta realizada",
"cguBaseStatus": "NEGATIVA",
"cguClearance": "Sim",
"cguValidUntil": "2027-08-01",
"cguIssueDate": "2026-08-01",
"cguCertificateUrl": "https://example.com/certidão-cgu.pdf"
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Certidão Negativa de Débitos EstaduaisSERVICE_STATE_DEBT_CERTIFICATE_COMPANY
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, stateDebtSummary, stateDebtBaseStatus, stateDebtClearance, stateDebtState, stateDebtRegistration, stateDebtValidUntil, stateDebtCertificateUrl.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_STATE_DEBT_CERTIFICATE_COMPANY",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"stateDebtSummary": "Consulta realizada",
"stateDebtBaseStatus": "NEGATIVA",
"stateDebtClearance": "Sim",
"stateDebtState": "SP",
"stateDebtRegistration": "000.000.000.000",
"stateDebtValidUntil": "2027-08-01",
"stateDebtCertificateUrl": "https://example.com/certidão-débitos-estaduais.pdf"
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Certidão negativa de protestoSERVICE_PROTEST_PJ
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, hasProtests, notaryOffices, protests.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_PROTEST_PJ",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"hasProtests": false,
"notaryOffices": [],
"protests": []
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Compliance de casas de apostasSERVICE_COMPLIANCE_BET_PJ
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, hasBettingExposure, indicators, riskLevel.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_COMPLIANCE_BET_PJ",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"hasBettingExposure": true,
"indicators": [
"atividade relacionada"
],
"riskLevel": "MEDIUM"
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Compliance de casas de apostas (alias curto)SERVICE_COMPLIANCE_BET
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, hasBettingExposure, indicators, riskLevel.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_COMPLIANCE_BET",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"hasBettingExposure": true,
"indicators": [
"atividade relacionada"
],
"riskLevel": "MEDIUM"
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Cota de PCDSERVICE_PCD_COMPANY
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, pcdSummary, pcdBaseStatus, pcdExpeditionDate, pcdCertificateUrl, pcdContent.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_PCD_COMPANY",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"pcdSummary": "Consulta realizada",
"pcdBaseStatus": "EM CONFORMIDADE",
"pcdExpeditionDate": "2026-08-01",
"pcdCertificateUrl": "https://example.com/certidão-pcd.pdf",
"pcdContent": "Texto integral da certidão de cota de PCD"
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}DAS MEI na ReceitaSERVICE_DAS_MEI
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, meiStatus, periods.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_DAS_MEI",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"meiStatus": "ACTIVE",
"periods": [
{
"period": "2026-01",
"paid": true
}
]
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Dados Restritivos PJSERVICE_BUREAU_CREDIT_SCORE_COMPANY
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, score, hasRestrictions, restrictionCount, creditBureauSummary, creditBureauDetails, origin, queryDate.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_BUREAU_CREDIT_SCORE_COMPANY",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"score": 720,
"hasRestrictions": false,
"restrictionCount": 0,
"creditBureauSummary": "Nenhuma restrição de crédito encontrada",
"creditBureauDetails": {},
"origin": "Fonte de dados",
"queryDate": "2026-08-01"
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Dados cadastrais de CNPJSERVICE_REGISTRATION_DATA_CNPJ
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, officialName, tradeName, status, openingDate.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_REGISTRATION_DATA_CNPJ",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"officialName": "EMPRESA EXEMPLO LTDA",
"tradeName": "EMPRESA EXEMPLO",
"status": "ATIVA",
"openingDate": "yyyy-MM-dd"
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Dados de Fundos de InvestimentoSERVICE_INVESTMENT_FUND_DATA
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, totalMovimentations, investmentFundDataSummary, investmentFundData.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_INVESTMENT_FUND_DATA",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"totalMovimentations": 0,
"investmentFundDataSummary": "Nenhuma movimentação de fundo de investimento encontrada",
"investmentFundData": []
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Distribuição de Processos JudiciaisSERVICE_LAWSUITS_DISTRIBUTION_DATA_COMPANY
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, companyLawsuitsTotal, companyLawsuitsFirstDate, companyLawsuitsLastDate, companyLawsuitsLast30Days, companyLawsuitsLast90Days, companyLawsuitsLast180Days, companyLawsuitsLast365Days, companyLawsuitsSummary, companyLawsuitsDistribution.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_LAWSUITS_DISTRIBUTION_DATA_COMPANY",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"companyLawsuitsTotal": 5,
"companyLawsuitsFirstDate": "2016-03-10",
"companyLawsuitsLastDate": "2026-02-20",
"companyLawsuitsLast30Days": 0,
"companyLawsuitsLast90Days": 1,
"companyLawsuitsLast180Days": 1,
"companyLawsuitsLast365Days": 2,
"companyLawsuitsSummary": "Empresa com 5 processos judiciais encontrados",
"companyLawsuitsDistribution": {}
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Distribuição de Processos dos SóciosSERVICE_OWNERS_LAWSUITS_DISTRIBUTION
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, companyOwnersLawsuitsTotalOwners, companyOwnersLawsuitsMaxPerOwner, companyOwnersLawsuitsAvgPerOwner, companyOwnersLawsuitsMinPerOwner, companyOwnersLawsuitsAsAuthor, companyOwnersLawsuitsAsDefendant, companyOwnersLawsuitsAsOther, companyOwnersLawsuitsTotal, companyOwnersLawsuitsRelatedToLawyers, companyOwnersLawsuitsRelatedToJudges, companyOwnersLawsuitsFirstDate, companyOwnersLawsuitsLastDate, companyOwnersLawsuitsLast30Days, companyOwnersLawsuitsLast90Days, companyOwnersLawsuitsLast180Days, companyOwnersLawsuitsLast365Days, companyOwnersLawsuitsSummary, companyOwnersLawsuitsDistribution.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_OWNERS_LAWSUITS_DISTRIBUTION",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"companyOwnersLawsuitsTotalOwners": 2,
"companyOwnersLawsuitsMaxPerOwner": 3,
"companyOwnersLawsuitsAvgPerOwner": 1.5,
"companyOwnersLawsuitsMinPerOwner": 0,
"companyOwnersLawsuitsAsAuthor": 1,
"companyOwnersLawsuitsAsDefendant": 2,
"companyOwnersLawsuitsAsOther": 0,
"companyOwnersLawsuitsTotal": 3,
"companyOwnersLawsuitsRelatedToLawyers": false,
"companyOwnersLawsuitsRelatedToJudges": false,
"companyOwnersLawsuitsFirstDate": "2015-01-01",
"companyOwnersLawsuitsLastDate": "2026-01-01",
"companyOwnersLawsuitsLast30Days": 0,
"companyOwnersLawsuitsLast90Days": 0,
"companyOwnersLawsuitsLast180Days": 0,
"companyOwnersLawsuitsLast365Days": 1,
"companyOwnersLawsuitsSummary": "Sócios com 3 processos judiciais encontrados",
"companyOwnersLawsuitsDistribution": {}
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Doações eleitoraisSERVICE_ELECTORAL_DONORS_CNPJ
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, donations.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_ELECTORAL_DONORS_CNPJ",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"donations": [
{
"year": 2024,
"recipient": "Candidato",
"amount": "1000.00"
}
]
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Doações eleitorais dos sóciosSERVICE_OWNERS_ELECTORAL_DONORS_CNPJ
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, ownersDonations.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_OWNERS_ELECTORAL_DONORS_CNPJ",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"ownersDonations": [
{
"ownerName": "Nome do sócio",
"year": 2024,
"recipient": "Candidato",
"amount": "300.00"
}
]
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Domínios CNPJSERVICE_DOMAINS_CNPJ
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, totalDomains, domains.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_DOMAINS_CNPJ",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"totalDomains": 1,
"domains": [
{
"domain": "empresa.com.br",
"status": "ACTIVE"
}
]
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Débitos ativosSERVICE_ACTIVE_DEBT_PJ
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, totalDebts, totalValue, debts.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_ACTIVE_DEBT_PJ",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"totalDebts": 1,
"totalValue": "9800.00",
"debts": [
{
"source": "PGFN",
"value": "9800.00",
"status": "ACTIVE"
}
]
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Débitos com a PGFNSERVICE_PGFN_COMPANY
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, pgfnSummary, pgfnBaseStatus, pgfnClearance, pgfnEmissionDate, pgfnCertificateUrl.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_PGFN_COMPANY",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"pgfnSummary": "Consulta realizada",
"pgfnBaseStatus": "NEGATIVA",
"pgfnClearance": "Sim",
"pgfnEmissionDate": "2026-08-01",
"pgfnCertificateUrl": "https://example.com/certidão-pgfn.pdf"
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Endereços estendidosSERVICE_ADDRESSES_EXTENDED_CNPJ
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, addresses, addressesExtendedTotal, addressesExtendedTotalActive, addressesExtendedTotalWork, addressesExtendedTotalPersonal, addressesExtendedTotalUnique, addressesExtendedTotalPassages, addressesExtendedTotalBadPassages, addressesExtendedOldestPassageDate, addressesExtendedNewestPassageDate.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_ADDRESSES_EXTENDED_CNPJ",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"addresses": [
{
"address": "Av Exemplo",
"number": "1000",
"complement": "Sala 10",
"neighborhood": "Centro",
"city": "Sao Paulo",
"state": "SP",
"country": "Brasil",
"zipcode": "01001000",
"addressType": "COMMERCIAL",
"isActive": "true",
"isMainForEntity": "true",
"priority": "1",
"lastValidationDate": "2026-05-12"
}
],
"addressesExtendedTotal": 1,
"addressesExtendedTotalActive": 1,
"addressesExtendedTotalWork": 1,
"addressesExtendedTotalPersonal": 0,
"addressesExtendedTotalUnique": 1,
"addressesExtendedTotalPassages": 7,
"addressesExtendedTotalBadPassages": 0,
"addressesExtendedOldestPassageDate": "2018-02-10",
"addressesExtendedNewestPassageDate": "2026-05-12"
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Enriquecimento de dadosSERVICE_CORPORATE_DATA_ENRICHMENT
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, officialName, tradeName, status, mainActivity.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_CORPORATE_DATA_ENRICHMENT",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"officialName": "EMPRESA EXEMPLO LTDA",
"tradeName": "EMPRESA EXEMPLO",
"status": "ATIVA",
"mainActivity": "CNAE principal"
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Evolução da EmpresaSERVICE_COMPANY_EVOLUTION
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, companyEvolutionSummary, companyEvolutionStats.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_COMPANY_EVOLUTION",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"companyEvolutionSummary": "Empresa com tendência de crescimento estável",
"companyEvolutionStats": []
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Exposição e perfil na mídia dos sóciosSERVICE_MEDIA_PROFILE_EXPOSURE_PJ
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, mediaMentions, exposureLevel.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_MEDIA_PROFILE_EXPOSURE_PJ",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"mediaMentions": [
{
"title": "Noticia encontrada",
"source": "Fonte",
"sentiment": "NEUTRAL"
}
],
"exposureLevel": "LOW"
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}FGTSSERVICE_FGTS
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, fgtsStatus, fgtsCertificateNumber, fgtsCertificateValidity, fgtsCertificateText, fgtsSummary, fgtsDetails.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_FGTS",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"fgtsStatus": "REGULAR",
"fgtsCertificateNumber": "2026000000000000",
"fgtsCertificateValidity": "01/08/2026 a 29/08/2026",
"fgtsCertificateText": "Certificado que a empresa encontra-se em situação regular perante o FGTS",
"fgtsSummary": "Empresa regular perante o FGTS",
"fgtsDetails": []
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Flags Negativos PJSERVICE_CREDIT_RISK_SIGNALS_COMPANY
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, riskLevel, riskClassification, hasRestrictions, negativeFlagsCount, creditBureauSummary, creditBureauDetails, origin, queryDate.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_CREDIT_RISK_SIGNALS_COMPANY",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"riskLevel": "BAIXO",
"riskClassification": "A",
"hasRestrictions": false,
"negativeFlagsCount": 0,
"creditBureauSummary": "Nenhum flag negativo encontrado",
"creditBureauDetails": {},
"origin": "Fonte de dados",
"queryDate": "2026-08-01"
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Fornecedores eleitoraisSERVICE_ELECTORAL_PROVIDERS_CNPJ
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, campos.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_ELECTORAL_PROVIDERS_CNPJ",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"campos": [
{
"year": 2024,
"campaign": "Campanha",
"amount": "2500.00",
"serviceType": "Servico"
}
]
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Histórico de Dados BásicosSERVICE_HISTORY_BASIC_DATA
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, historyBasicDataCurrentName, historyBasicDataAge, historyBasicDataTotalChanges, historyBasicDataSummary, historyBasicDataStats, historyBasicDataNameHistory, historyBasicDataTaxRegimeHistory, historyBasicDataTaxIdStatusHistory, historyBasicDataCnaeHistory, historyBasicDataCapitalHistory.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_HISTORY_BASIC_DATA",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"historyBasicDataCurrentName": "EMPRESA EXEMPLO LTDA",
"historyBasicDataAge": 6,
"historyBasicDataTotalChanges": 2,
"historyBasicDataSummary": "Empresa com 2 alterações cadastrais encontradas",
"historyBasicDataStats": [],
"historyBasicDataNameHistory": [],
"historyBasicDataTaxRegimeHistory": [],
"historyBasicDataTaxIdStatusHistory": [],
"historyBasicDataCnaeHistory": [],
"historyBasicDataCapitalHistory": []
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Influência do Quadro SocietárioSERVICE_OWNERS_INFLUENCE
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, influenceScore, ownersInfluenceSummary, ownersInfluence.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_OWNERS_INFLUENCE",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"influenceScore": 0,
"ownersInfluenceSummary": "Baixa influência do quadro societário",
"ownersInfluence": []
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}KYC e Compliance do Grupo EconômicoSERVICE_ECONOMIC_GROUP_KYC_COMPANY
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, economicGroupKycSummary, economicGroupTotalCurrentPep, economicGroupTotalHistoricalPep, economicGroupTotalCurrentSanctioned, economicGroupTotalHistoricalSanctioned, economicGroupAverageSanctions.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_ECONOMIC_GROUP_KYC_COMPANY",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"economicGroupKycSummary": "Consulta realizada",
"economicGroupTotalCurrentPep": "0",
"economicGroupTotalHistoricalPep": "1",
"economicGroupTotalCurrentSanctioned": "0",
"economicGroupTotalHistoricalSanctioned": "0",
"economicGroupAverageSanctions": "0"
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}KYC e Compliance dos FuncionáriosSERVICE_EMPLOYEES_KYC
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, employeesKycTotalEmployees, employeesKycCurrentlyPepCount, employeesKycCurrentlySanctionedCount, employeesKycPreviouslySanctionedCount, employeesKycFlaggedCount, employeesKycSummary, employeesKycFlagged.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_EMPLOYEES_KYC",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"employeesKycTotalEmployees": 5,
"employeesKycCurrentlyPepCount": 0,
"employeesKycCurrentlySanctionedCount": 0,
"employeesKycPreviouslySanctionedCount": 0,
"employeesKycFlaggedCount": 0,
"employeesKycSummary": "Nenhum funcionário sinalizado como PEP ou sancionado",
"employeesKycFlagged": []
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}KYC e compliance dos sóciosSERVICE_COMPANY_KYC_OWNERS
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, totalCurrentPep, totalHistoricallyPEP, totalCurrentSanctioned, totalHistoricallySanctioned, averageSanctionsPerOwner, averageSanctionsPerOwnerExact, pepPercentage, ownerMaxSanctions, ownerMinSanctions, activeOwners, inactiveOwners, kycOwners.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_COMPANY_KYC_OWNERS",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"totalCurrentPep": 1,
"totalHistoricallyPEP": 1,
"totalCurrentSanctioned": 1,
"totalHistoricallySanctioned": 1,
"averageSanctionsPerOwner": 1,
"averageSanctionsPerOwnerExact": 0.5,
"pepPercentage": 50,
"ownerMaxSanctions": 1,
"ownerMinSanctions": 0,
"activeOwners": [
"11122233344",
"55566677788"
],
"inactiveOwners": [],
"kycOwners": [
{
"cpf": "11122233344",
"isPep": true,
"isCurrentlySanctioned": true,
"wasPreviouslySanctioned": true,
"firstSanctionDate": "2021-03-15",
"lastSanctionDate": "2024-08-02",
"firstPepOccurrenceDate": "2019-01-10",
"lastPepOccurrenceDate": "2024-08-02",
"sanctionsHistory": [
{
"source": "interpol",
"type": "RED_NOTICE",
"standardizedSanctionType": "INTERNATIONAL_ALERT",
"matchRate": 96,
"details": {
"Charge": "Fraud",
"IssuingCountry": "Brazil"
},
"normalizedDetails": {
"acusacao": "Fraude",
"paisEmissor": "Brasil"
},
"startDate": "2021-03-15",
"endDate": null,
"isCurrentlyPresentOnSource": true
}
],
"highConfidenceSanctionsHistory": [
{
"source": "interpol",
"type": "RED_NOTICE",
"standardizedSanctionType": "INTERNATIONAL_ALERT",
"matchRate": 96,
"details": {
"Charge": "Fraud",
"IssuingCountry": "Brazil"
},
"normalizedDetails": {
"acusacao": "Fraude",
"paisEmissor": "Brasil"
},
"startDate": "2021-03-15",
"endDate": null,
"isCurrentlyPresentOnSource": true
}
],
"pepHistories": [
{
"level": "FEDERAL",
"jobTitle": "Secretario",
"department": "Ministerio Exemplo",
"startDate": "2019-01-10",
"endDate": null
}
],
"isCurrentlyElectoralDonor": false,
"isHistoricalElectoralDonor": true,
"totalElectoralDonations": 2,
"totalElectoralDonationAmount": 15000
},
{
"cpf": "55566677788",
"isPep": false,
"isCurrentlySanctioned": false,
"wasPreviouslySanctioned": false,
"sanctionsHistory": [],
"highConfidenceSanctionsHistory": [],
"pepHistories": []
}
]
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}MarketplacesSERVICE_MARKETPLACE_DATA
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, totalMarketplacesUsed, totalStoresOperated, marketplaceWithMostProducts, marketplaceWithBestRating, totalProductsListed, marketplaceSummary, marketplaceDetails.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_MARKETPLACE_DATA",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"totalMarketplacesUsed": 1,
"totalStoresOperated": 1,
"marketplaceWithMostProducts": "Mercado Livre",
"marketplaceWithBestRating": "Mercado Livre",
"totalProductsListed": 0,
"marketplaceSummary": "Empresa presente em 1 marketplace",
"marketplaceDetails": []
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}OCR de cartão CNPJSERVICE_OCR_CNPJ_CARD
/api/service-apiCampos do request
- service
- image1
Campos em result: cnpj, docType, genericOcr.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_OCR_CNPJ_CARD",
"image1": "base64"
}'Response
{
"result": {
"cnpj": "cnpj",
"docType": "CNPJ_CARD",
"genericOcr": "texto extraído do cartão CNPJ"
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Obras CivisSERVICE_CIVIL_CONSTRUCTION
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, totalCivilConstructionRecords, totalActiveCivilConstructionRecords, civilConstructionSummary, civilConstructionRecords.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_CIVIL_CONSTRUCTION",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"totalCivilConstructionRecords": 2,
"totalActiveCivilConstructionRecords": 1,
"civilConstructionSummary": "Consulta realizada",
"civilConstructionRecords": [
{
"cno": "00000000000",
"status": "ATIVA",
"address": "RUA EXEMPLO, 100",
"startDate": "2025-01-01"
}
]
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Optante pelo Simples NacionalSERVICE_SIMPLES_COMPANY
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, simplesSummary, simplesOfficialName, simplesNationalStatus, simplesMeiStatus, simplesCertificateUrl.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_SIMPLES_COMPANY",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"simplesSummary": "Consulta realizada",
"simplesOfficialName": "NOME OFICIAL DA EMPRESA",
"simplesNationalStatus": "OPTANTE",
"simplesMeiStatus": "NAO OPTANTE",
"simplesCertificateUrl": "https://example.com/comprovante-simples.pdf"
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Percentual de Participação SocietáriaSERVICE_OWNER_PARTICIPATION_DATA_COMPANY
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, numberOfOwners, numberOfPeopleAsOwners, numberOfCompaniesAsOwners, hasMajorityStakeHolder, averageParticipationPercentage, maxParticipationPercentage, minParticipationPercentage, firstOwnerEntryDate, lastOwnerEntryDate, ownerParticipationSummary, ownerParticipations.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_OWNER_PARTICIPATION_DATA_COMPANY",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"numberOfOwners": 2,
"numberOfPeopleAsOwners": 1,
"numberOfCompaniesAsOwners": 1,
"hasMajorityStakeHolder": true,
"averageParticipationPercentage": 50,
"maxParticipationPercentage": 70,
"minParticipationPercentage": 30,
"firstOwnerEntryDate": "2015-03-01",
"lastOwnerEntryDate": "2022-06-15",
"ownerParticipationSummary": "Consulta realizada",
"ownerParticipations": [
{
"ownerDocument": "00000000000",
"ownerName": "NOME DO SOCIO",
"percentage": 70
}
]
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Processos jurídicosSERVICE_JURIDICAL_PROCESSES_PJ
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, totalProcesses, processes.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_JURIDICAL_PROCESSES_PJ",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"totalProcesses": 1,
"processes": [
{
"court": "TJSP",
"processNumber": "0000000-00.0000.0.00.0000",
"status": "ACTIVE"
}
]
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Processos jurídicos dos sóciosSERVICE_JURIDICAL_PROCESSES_PJ_OWNERS
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, ownersProcesses.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_JURIDICAL_PROCESSES_PJ_OWNERS",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"ownersProcesses": [
{
"ownerName": "Nome do sócio",
"totalProcesses": 1,
"processes": []
}
]
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Projetos PúblicosSERVICE_PUBLIC_PROJECTS
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, totalPublicProjects, publicProjectsSummary, publicProjects.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_PUBLIC_PROJECTS",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"totalPublicProjects": 1,
"publicProjectsSummary": "Consulta realizada",
"publicProjects": [
{
"source": "BNDES",
"modality": "FINANCIAMENTO",
"contractedValue": 500000,
"disbursedValue": 250000,
"contractDate": "2025-01-10"
}
]
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Receita Federal - QSASERVICE_RF_QSA
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, qsaCompanyType, qsaCompanySize, qsaCapital, qsaCapitalValue, qsaCnae, qsaMainEconomicActivity, qsaSecondaryActivity, qsaLegalNatureCode, qsaLegalNature, qsaIrsStatus, qsaIsActive, qsaStatusDate, qsaPartnersCount, qsaSummary, qsaPartners.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_RF_QSA",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"qsaCompanyType": "MATRIZ",
"qsaCompanySize": "DEMAIS",
"qsaCapital": "DEZ MIL REAIS",
"qsaCapitalValue": "10000.00",
"qsaCnae": "62.09-1-00",
"qsaMainEconomicActivity": "SUPORTE TECNICO, MANUTENCAO E OUTROS SERVICOS EM TECNOLOGIA DA INFORMACAO",
"qsaSecondaryActivity": "DESENVOLVIMENTO DE PROGRAMAS DE COMPUTADOR SOB ENCOMENDA",
"qsaLegalNatureCode": "2062",
"qsaLegalNature": "SOCIEDADE EMPRESARIA LIMITADA",
"qsaIrsStatus": "ATIVA",
"qsaIsActive": "true",
"qsaStatusDate": "2018-04-04",
"qsaPartnersCount": 1,
"qsaSummary": "Empresa ativa com 1 sócio encontrado no QSA",
"qsaPartners": []
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Relacionamentos da empresaSERVICE_COMPANY_RELATIONSHIP
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, owners, relatedCompanies.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_COMPANY_RELATIONSHIP",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"owners": [
{
"name": "Nome do sócio",
"document": "cpf",
"share": "50%"
}
],
"relatedCompanies": []
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Relacionamentos do Grupo EconômicoSERVICE_ECONOMIC_GROUP_RELATIONSHIPS
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, totalEconomicGroupRelationships, economicGroupRelationshipsSummary, economicGroupRelationships, economicGroupCurrentRelationships, economicGroupHistoricalRelationships, economicGroupRelationshipsStats.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_ECONOMIC_GROUP_RELATIONSHIPS",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"totalEconomicGroupRelationships": 3,
"economicGroupRelationshipsSummary": "Empresa possui 3 relacionamentos de grupo econômico",
"economicGroupRelationships": [],
"economicGroupCurrentRelationships": [],
"economicGroupHistoricalRelationships": [],
"economicGroupRelationshipsStats": {}
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Risco de créditoSERVICE_CREDIT_RISK_COMPANY
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, creditRisk.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_CREDIT_RISK_COMPANY",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"creditRisk": {
"status": "APPROVED",
"score": "720",
"rating": "B",
"expectedDefault": "MEDIUM",
"legalProcess": false
}
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}SINTEGRASERVICE_SINTEGRA_CONSULTATION
/api/service-apiCampos do request
- service
- cnpj
- uf (opcional)
Campos em result: cnpj, stateRegistration, state, status, regime.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_SINTEGRA_CONSULTATION",
"cnpj": "cnpj",
"uf": "uf (opcional)"
}'Response
{
"result": {
"cnpj": "cnpj",
"stateRegistration": "000000000",
"state": "SP",
"status": "HABILITADO",
"regime": "NORMAL"
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Score de Crédito Multidados PJSERVICE_ONE_SCORE_COMPANY
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, score, riskLevel, riskClassification, reasonCodes, creditBureauSummary, creditBureauDetails, origin, queryDate.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_ONE_SCORE_COMPANY",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"score": 700,
"riskLevel": "BAIXO",
"riskClassification": "A",
"reasonCodes": [
"Bom histórico de pagamentos"
],
"creditBureauSummary": "Score de crédito multidados acima da média do setor",
"creditBureauDetails": {},
"origin": "Fonte de dados",
"queryDate": "2026-08-01"
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Score de Crédito PJSERVICE_CREDIT_SCORE_ALT_COMPANY
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, score, riskLevel, riskClassification, reasonCodes, creditBureauSummary, creditBureauDetails, origin, queryDate.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_CREDIT_SCORE_ALT_COMPANY",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"score": 650,
"riskLevel": "MEDIO",
"riskClassification": "B",
"reasonCodes": [
"Tempo de mercado",
"Capital social baixo"
],
"creditBureauSummary": "Score de crédito dentro da média do setor",
"creditBureauDetails": {},
"origin": "Fonte de dados",
"queryDate": "2026-08-01"
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Score de Crédito PJSERVICE_CUSTOM_SCORE_COMPANY
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, score, creditBureauSummary, creditBureauDetails, origin, queryDate.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_CUSTOM_SCORE_COMPANY",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"score": 690,
"creditBureauSummary": "Score de crédito dentro da média do setor",
"creditBureauDetails": {},
"origin": "Fonte de dados",
"queryDate": "2026-08-01"
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Status do CNPJ na Receita FederalSERVICE_RFB_PJ
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, officialName, status, openingDate, mainActivity.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_RFB_PJ",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"officialName": "EMPRESA EXEMPLO LTDA",
"status": "ATIVA",
"openingDate": "yyyy-MM-dd",
"mainActivity": "CNAE principal"
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Sócios de primeiro nívelSERVICE_FIRST_LEVEL_PARTNER
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, partners.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_FIRST_LEVEL_PARTNER",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"partners": [
{
"name": "Nome do sócio",
"document": "cpf",
"level": 1,
"qualification": "SOCIO"
}
]
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}Sócios na Receita FederalSERVICE_COMPANY_RFB_OWNERS
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, owners.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_COMPANY_RFB_OWNERS",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"owners": [
{
"name": "Nome do sócio",
"qualification": "SOCIO-ADMINISTRADOR",
"entryDate": "yyyy-MM-dd"
}
]
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}TelefonesSERVICE_PHONES_EXTENDED_COMPANY
/api/service-apiCampos do request
- service
- cnpj
Campos em result: cnpj, phonesExtendedCompanyTotal, phonesExtendedCompanyTotalActive, phonesExtendedCompanySummary, phonesExtendedCompanyStats, phonesExtendedCompany.
Request
curl --location 'https://api.omni-ward.com/api/service-api' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {jwt_token}' \
--data '{
"service": "SERVICE_PHONES_EXTENDED_COMPANY",
"cnpj": "cnpj"
}'Response
{
"result": {
"cnpj": "cnpj",
"phonesExtendedCompanyTotal": 2,
"phonesExtendedCompanyTotalActive": 1,
"phonesExtendedCompanySummary": "Empresa com 2 telefones encontrados, 1 ativo",
"phonesExtendedCompanyStats": [],
"phonesExtendedCompany": []
},
"status": {
"code": 200,
"message": "Success"
},
"externalId": "{externalId}"
}